"use strict";
/*
 * Copyright (c) 2019., Charlie Tiehm - admin@tiehm.me
 */
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
const __1 = require("../../..");
const Command_1 = require("../Command");
let PingCommand = class PingCommand extends Command_1.Command {
    async run(msg) {
        await msg.reply('pong');
        return {};
    }
};
PingCommand = __decorate([
    __1.Name('ping'),
    __1.Alias('pong', 'reply'),
    __1.Description('Showing the current ping to the Discord API.'),
    __1.Throttle(30, 5, true)
], PingCommand);
exports.PingCommand = PingCommand;
//# sourceMappingURL=ping.js.map